package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt195Creator= (MT195Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt195Creator.getMtAndDateoftheOriginalMessage();
        mt195Creator.set("11R", tag11aValue);
    }
}
